.TH fileinfo 1 "Jun 1999" "Scilab Group" "Scilab Function"
.so ../sci.an
.SH NAME
fileinfo - Provides information about a file
.SH CALLING SEQUENCE
.nf
[x,ierr]=fileinfo(file)
.fi
.SH PARAMETERS
.TP
file
: a character string, the file pathname
.TP
x
: an integer vector of size 6 containing information or an empty
matrix if file does not exist.
.TP
ierr
: error indicator, 0, if no error has occured
.SH DESCRIPTION
x=fileinfo(file) returns
.TP
x(1)
: The file size
.TP
x(2)
: The file mode
.TP
x(3)
: The user id
.TP
x(4)
: the group id
.TP
x(5)
: The device number
.TP
x(6)
: The date of last modification
.SH EXAMPLES
.nf
w=fileinfo(SCI+'/scilab.star')
getdate(w(6))

.fi
.SH SEE ALSO
getdate, file, dispfiles, newest

