.TH fplot3d 2 "April 1993" "Scilab Group" "Scilab Function" 
.so ../sci.an
.SH NAME
fplot3d - 3D plot of a surface defined by a function
.SH CALLING SEQUENCE
.nf
fplot3d(xr,yr,f,[theta,alpha,leg,flag,ebox])
fplot3d(xr,yr,f,<opt_args>)
.fi
.SH PARAMETERS
.TP 10
xr
: row vector of size n1.
.TP
yr
: row vector of size n2.
.TP
f
: external of type z=f(x,y).
.TP
theta,alpha,leg,flag,ebox
: see \fVplot3d\fR.
.TP
<opt_args>
: see \fVplot3d\fR.
.SH DESCRIPTION
\fVfplot3d\fV plots a surface defined by the external function \fVf\fR
on the grid defined by \fVxr\fV and \fVyr\fR.

Enter the command  \fVfplot3d()\fR to see a demo.
.SH EXAMPLE
.nf
deff('z=f(x,y)','z=x^4-y^4')
x=-3:0.2:3 ;y=x ;
xbasc() ;fplot3d(x,y,f,alpha=5,theta=31)  
.fi
.SH SEE ALSO
plot3d
.SH AUTHOR
J.Ph.C.
