.TH graph_center 1 "September 1996" "Scilab Group" "Scilab function"
.so ../sci.an
.SH NAME
graph_center - center of a graph
.SH CALLING SEQUENCE
.nf
[no,rad] = graph_center(g)
.fi
.SH PARAMETERS
.TP 2
g
: graph list 
.TP 3
no
: integer
.TP 4
rad
: integer
.SH DESCRIPTION
\fVgraph_center\fR computes the center of the graph \fVg\fR i.e. the 
node for which the largest of the shortest paths to all the other nodes 
is minimum. The lengths of the arcs are supposed to be integer (and the default
value is 1). 
The output is the value \fVrad\fR of the length of the radius and
\fVno\fR which is the node number of the center of the graph.
.SH EXAMPLE
.nf
ta=[1 1 2 2 2 3 4 5 5 7 8 8 9 10 10 10 10 11 12 13 13 14 15 16 16 17 17];
he=[2 10 3 5 7 4 2 4 6 8 6 9 7 7 11 13 15 12 13  9 14 11 16 1 17 14 15];
g=make_graph('foo',0,17,ta,he);
g('node_x')=[283 163 63 57 164 164 273 271 339 384 504 513 439 623 631 757 642];
g('node_y')=[59 133 223 318 227 319 221 324 432 141 209 319 428 443 187 151 301];
g('node_diam')=[1:(g('node_number'))]+20;
show_graph(g);
[no,rad] = graph_center(g)
show_nodes(no);
.fi
.SH SEE ALSO
graph_diameter
