.TH graph_sum 1 "September 1996" "Scilab Group" "Scilab function"
.so ../sci.an
.SH NAME
graph_sum - sum of two graphs
.SH CALLING SEQUENCE
.nf
g2 = graph_sum(g,g1)
.fi
.SH PARAMETERS
.TP 2
g
: graph list
.TP 3
g1
: graph list
.TP 3
g2
: graph list of the new graph 
.SH DESCRIPTION
\fVgraph_sum\fR creates a graph \fVg2\fR with an adjacency matrix  
equal to the sum of the adjacency matrices of the two graphs \fVg\fR and 
\fVg1\fR.
\fVg\fR and \fVg1\fR are supposed to be simple graphs (use \fVgraph_simp\fR 
before calling \fVgraph_complement\fR if necessary) and to have the same 
number of nodes.
.SH EXAMPLE
.nf
ta=[1 1 2 2 2 3 4 5 5 7 8 8 9 10 10 10 10 11 12 13 13 13 14 15 16 16 17 17];
he=[2 10 3 5 7 4 2 4 6 8 6 9 7 7 11 13 15 12 13 9 10 14 11 16 1 17 14 15];
g=make_graph('foo',1,17,ta,he);
g('node_x')=[283 163 63 57 164 164 273 271 339 384 504 513 439 623 631 757 642];
g('node_y')=[59 133 223 318 227 319 221 324 432 141 209 319 428 443 187 151 301];
g('edge_color')=modulo([1:(edge_number(g))],15)+1;
g('edge_width')=ones(1,(edge_number(g)));
g('node_diam')=[1:(g('node_number'))]+20;
g('node_name')=['A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q'];
show_graph(g);
ta=[2 3 4 5 11 12 1];
he=[10 5 6 7 15 17 7];
g1=make_graph('foo',1,17,ta,he);
g1('node_x')=[283 163 63 57 164 164 273 271 339 384 504 513 439 623 631 757 642];
g1('node_y')=[59 133 223 318 227 319 221 324 432 141 209 319 428 443 187 151 301];
g1('edge_color')=modulo([1:(edge_number(g1))],15)+1;
g1('edge_width')=10*ones(1,(edge_number(g1)));
g1('node_diam')=[1:(g1('node_number'))]+20;
g1('node_name')=['A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q'];
show_graph(g1,'new');
g2=graph_sum(g,g1);
show_graph(g2,'new');
.fi
.SH SEE ALSO
graph_complement, graph_union
