.TH pvm_start 1 "May 1998" "Scilab // Group" "Scilab function"
.so ../sci.an
.SH NAME
pvm_start - Start the PVM daemon
.SH CALLING SEQUENCE
.nf
[info] = pvm_start(["hostfile"])
.fi
.SH PARAMETERS
.TP 5
hostfile
: name of the hostfile describing the configuration for each host of
the virtual machine.
.TP 5
info
: integer, status code returned by the routine.
Values less than zero indicate an error.

.SH DESCRIPTION
\fVpvm_start\fR  starts the  Pvmd3 which is    a daemon process  which
coordinates  unix hosts in a  virtual machine.  One  pvmd3 must run on
each  host in the group.   They provide  the communication and process
control functions  needed by the user's PVM  processes.  The local and
remote pvmds can also be started from the PVM console program pvm.

The optional parameter is the name of a host file. See pvmd3 for more
details on the host file format. If no argument is given to
\fVpvm_start\fR, but the variable  PVM_ROOT is set, scilab will try to
load the file $HOME/.pvmd.conf. If this file does not exist, or the
variable PVM_ROOT is not set, scilab will try to load the default file 
$SCI/.pvmd.conf. In all other cases, scilab will supposed that  PVM
and scilab are in standard place on your net. 

Note that, to be able to start a PVM daemon, scilex must know the
place to find both scilex and pvmd. Normally, scilex will start a new
PVM daemon by using rsh. See the help on pvmd3 and pvm for more detail 
on how to start/stop pvm.

For example:
.nf
pvm_start()
 ans  =
 
    0. 
-->pvm_start()
 ans  =
 
  - 28.  
.fi
Error -28 means: pvm_start_pvmd(): Duplicate host
.SH SEE ALSO
pvmd3, pvm_halt, pvm_addhosts, pvm_config
