.TH "set" 2 " 04 June 1998" "Fractales Group" "Scilab Function"
.so ../sci.an
.SH NAME
set - set a property value of a  User Interface object.
.SH CALLING SEQUENCE
get(h,prop,val)
.SH PARAMETERS
.TP
o 
h : integer
the handle of the object which to set a property up
.TP
o 
prop : character string name of the property
.TP
o 
val : scilab object value to give to the property
.SH DESCRIPTION
This routine can be used to set a GUI object specified property. 
Property name are character strings like 'style', 'position' ....
The type of the value field depends on the property
one aims at setting. For example, the 'style' property which represents
the kind of Object the UI control is (ie button, label, list, ..... ) will
be represented as a string. On the contrary, the 'position' property, which 
represents the geometrical aspect of the UI control, will be coded as 
a [1,4] vector. 
.SH EXAMPLE
.nf
h=uicontrol('string', 'Button');
// Opens a window with a  button.
set(h,'position',[ 50 50 100 100]);
// set the geometric aspect of the button
close();
// close figure
.fi 

.SH SEE ALSO
uicontrol, uimenu, get
.SH AUTHOR
Bertrand Guiheneuf
